package com.zy.bms.controller.pc;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.service.LatestLocationService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 设备定位相关
 *
 * @author yang xiao kun
 * create on 2021/1/21
 */
@RestController
@RequestMapping("omp/api/pc/location")
public class PcLocationController {

    @Resource
    private LatestLocationService latestLocationService;

    /**
     * 获取所有设备的最新定位信息
     */
    @GetMapping("getLatestLocation.do")
    public ServerResponse getLatestLocation() {
        return ServerResponse.createBySuccess(latestLocationService.getLatestLocation());
    }
}
