package com.zy.bms.controller.wx;

import com.zy.bms.common.controller.BaseController;
import com.zy.bms.common.ServerResponse;
import com.zy.bms.service.DeviceService;
import com.zy.bms.service.RelationService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 设备相关
 *
 * @author yang xiao kun
 * create on 2021/1/21
 */
@RestController
@RequestMapping("omp/api/wx/device")
public class DeviceController extends BaseController {

    @Resource
    private DeviceService deviceService;
    @Resource
    private RelationService relationService;

    /**
     * 更新设备名称
     *
     * @param num  设备随机 num
     * @param name 设备名称
     */
    @PostMapping("updateName.do")
    public ServerResponse updateName(String num, String name) {
        if (!relationService.checkDeviceIsBelongByNum(getUserId(), num)) {
            return ServerResponse.createByIllegal();
        }
        deviceService.updateName(num, name);
        return ServerResponse.createBySuccess();
    }
}
