package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zy.bms.common.io.pc.DeviceIO;
import com.zy.bms.common.vo.DeviceFullDataVo;
import com.zy.bms.model.Device;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface DeviceMapper extends BaseMapper<Device> {

    /**
     * 后台
     * 分页查询设备列表
     *
     * @param page 分页条件
     * @param io   查询条件
     */
    IPage<DeviceFullDataVo> getListPage(IPage<DeviceFullDataVo> page, @Param("io") DeviceIO io);

    /**
     * 更新设备名称
     *
     * @param num  设备号
     * @param name 名称
     */
    void updateName(@Param("num") String num, @Param("name") String name);

    /**
     * 批量更新设备在线状态
     */
    void updateDeviceStatus(@Param("devices") List<Device> devices);
}
